module.exports = {
  createDrag (obj) {
    const drag = (ev) => {
      obj && obj.drag && obj.drag(ev)
    }
    const drop = (ev) => {
      document.removeEventListener('mousemove', drag)
      document.removeEventListener('mouseup', drop)
      obj && obj.drop && obj.drop(ev)
    }
    document.addEventListener('mousemove', drag)
    document.addEventListener('mouseup', drop)
  },
  guid () {
    function s4 () {
      return Math.floor((1 + Math.random()) * 0x10000)
        .toString(16)
        .substring(1)
    }
    return s4() + s4() + '-' + s4() + '-' + s4() + '-' +
    s4() + '-' + s4() + s4() + s4()
  }
}
